cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PM1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PM1

- All Implemented Interfaces:
    ISegment

      public class PM1
      extends Segment

  PM1 - Payer Master File Segment

  The Technical Steward for the PM1 segment is Orders and Observations. The PM1 segment contains per insurance company (payer) the policies specific to their organization.

  Represents an HL7 PM1 message segment. This segment has the following fields:

  PM1-1: Health Plan ID (CWE)Required
  PM1-2: Insurance Company ID (CX)Required
  PM1-3: Insurance Company Name (XON)Optional
  PM1-4: Insurance Company Address (XAD)Optional
  PM1-5: Insurance Co Contact Person (XPN)Required
  PM1-6: Insurance Co Phone Number (XTN)Optional
  PM1-7: Group Number (ST)Optional
  PM1-8: Group Name (XON)Optional
  PM1-9: Plan Effective Date (DT)Optional
  PM1-10: Plan Expiration Date (DT)Optional
  PM1-11: Patient DOB Required (ID)Optional
  PM1-12: Patient Gender Required (ID)Optional
  PM1-13: Patient Relationship Required (ID)Optional
  PM1-14: Patient Signature Required (ID)Optional
  PM1-15: Diagnosis Required (ID)Optional
  PM1-16: Service Required (ID)Optional
  PM1-17: Patient Name Required (ID)Optional
  PM1-18: Patient Address Required (ID)Optional
  PM1-19: Subscribers Name Required (ID)Optional
  PM1-20: Workman's Comp Indicator (ID)Optional
  PM1-21: Bill Type Required (ID)Optional
  PM1-22: Commercial Carrier Name and Address Required (ID)Optional
  PM1-23: Policy Number Pattern (ST)Optional
  PM1-24: Group Number Pattern (ST)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PM1()` Constructs the OMC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroupName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Group Name.
    `void` | `addGroupName(XON GroupName)` Set the Group Name.
    `void` | `addInsuranceCoContactPerson(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Insurance Co Contact Person.
    `void` | `addInsuranceCoContactPerson(XPN InsuranceCoContactPerson)` Set the Insurance Co Contact Person.
    `void` | `addInsuranceCompanyAddr(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Insurance Company Addr.
    `void` | `addInsuranceCompanyAddr(XAD InsuranceCompanyAddr)` Set the Insurance Company Addr.
    `void` | `addInsuranceCompanyID(CX InsuranceCompanyID)` Set the Insurance Company ID.
    `void` | `addInsuranceCompanyID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Insurance Company ID.
    `void` | `addInsuranceCompanyName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Insurance Company Name.
    `void` | `addInsuranceCompanyName(XON InsuranceCompanyName)` Set the Insurance Company Name.
    `void` | `addInsuranceCoPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Insurance Co Phone Number.
    `void` | `addInsuranceCoPhoneNumber(XTN InsuranceCoPhoneNumber)` Set the Insurance Co Phone Number.
    `ID` | `getBillTypeRequired()` Retrieves the Bill Type Required.
    `ID` | `getCommercialCarrierNameAddressRequired()` Retrieves the Commercial Carrier Name and Address Required.
    `ID` | `getDiagnosisRequired()` Retrieves the Diagnosis Required.
    `ISingleCollection<XON>` | `getGroupName()` Retrieves the Group Name.
    `ST` | `getGroupNumber()` Retrieves the Group Number.
    `ST` | `getGroupNumberPattern()` Retrieves the Group Number Pattern.
    `CWE` | `getHealthPlanID()` Retrieves the Health Plan ID.
    `ISingleCollection<XPN>` | `getInsuranceCoContactPerson()` Retrieves the Insurance Co Contact Person.
    `ISingleCollection<XAD>` | `getInsuranceCompanyAddr()` Retrieves the Insurance Company Addr.
    `ISingleCollection<CX>` | `getInsuranceCompanyID()` Retrieves the Insurance Company ID.
    `ISingleCollection<XON>` | `getInsuranceCompanyName()` Retrieves the Insurance Company Name.
    `ISingleCollection<XTN>` | `getInsuranceCoPhoneNumber()` Retrieves the Insurance Co Phone Number.
    `ID` | `getPatientAddressRequired()` Retrieves the Patient Address Required.
    `ID` | `getPatientDOBRequired()` Retrieves the Patient DOB Required.
    `ID` | `getPatientGenderRequired()` Retrieves the Patient Gender Required.
    `ID` | `getPatientNameRequired()` Retrieves the Patient Name Required.
    `ID` | `getPatientRelationshipRequired()` Retrieves the Patient Relationship Required.
    `ID` | `getPatientSignatureRequired()` Retrieves the Patient Signature Required.
    `DT` | `getPlanEffectiveDate()` Retrieves the Plan Effective Date.
    `DT` | `getPlanExpirationDate()` Retrieves the Plan Expiration Date.
    `ST` | `getPolicyNumberPattern()` Retrieves the Policy Number Pattern.
    `ID` | `getServiceRequired()` Retrieves the Service Required.
    `ID` | `getSubscribersNameRequired()` Retrieves the Subscribers Name Required.
    `ID` | `getWorkmansCompIndicator()` Retrieves the Workman's Comp Indicator.
    `void` | `setBillTypeRequired(ID objBillTypeRequired)` Set the Bill Type Required.
    `void` | `setBillTypeRequired(java.lang.String strBillTypeRequired)` Set the Bill Type Required.
    `void` | `setCommercialCarrierNameAddressRequired(ID objCommercialCarrierNameAddressRequired)` Set the Commercial Carrier Name and Address Required.
    `void` | `setCommercialCarrierNameAddressRequired(java.lang.String strCommercialCarrierNameAddressRequired)` Set the Commercial Carrier Name and Address Required.
    `void` | `setDiagnosisRequired(ID objDiagnosisRequired)` Set the Diagnosis Required.
    `void` | `setDiagnosisRequired(java.lang.String strDiagnosisRequired)` Set the Diagnosis Required.
    `void` | `setGroupName(ISingleCollection<XON> objGroupNameList)` Set the GroupName list.
    `void` | `setGroupNumber(ST objgroupNumber)` Set the Group Number.
    `void` | `setGroupNumber(java.lang.String strGroupNumber)` Set the Group Number.
    `void` | `setGroupNumberPattern(ST GroupNumberPattern)` Set the Group Number Pattern.
    `void` | `setGroupNumberPattern(java.lang.String strGroupNumberPattern)` Set the Group Number Pattern.
    `void` | `setHealthPlanID(CWE objHealthPlanID)` Set the Health Plan ID.
    `void` | `setHealthPlanID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Health Plan ID.
    `void` | `setInsuranceCoContactPerson(ISingleCollection<XPN> objInsuranceCoContactPersonList)` Set the InsuranceCoContactPerson list.
    `void` | `setInsuranceCompanyAddr(ISingleCollection<XAD> objInsuranceCompanyAddrList)` Set the InsuranceCompanyAddr list.
    `void` | `setInsuranceCompanyID(ISingleCollection<CX> objInsuranceCompanyIDList)` Set the InsuranceCompanyID list.
    `void` | `setInsuranceCompanyName(ISingleCollection<XON> objInsuranceCompanyNameList)` Set the InsuranceCompanyName list.
    `void` | `setInsuranceCoPhoneNumber(ISingleCollection<XTN> objInsuranceCoPhoneNumberList)` Set the InsuranceCoPhoneNumber list.
    `void` | `setPatientAddressRequired(ID objPatientAddressRequired)` Set the Patient Address Required.
    `void` | `setPatientAddressRequired(java.lang.String strPatientAddressRequired)` Set the Patient Address Required.
    `void` | `setPatientDOBRequired(ID objPatientDOBRequired)` Set the Patient DOB Required.
    `void` | `setPatientDOBRequired(java.lang.String strPatientDOBRequired)` Set the Patient DOB Required.
    `void` | `setPatientGenderRequired(ID objPatientGenderRequired)` Set the Patient Gender Required.
    `void` | `setPatientGenderRequired(java.lang.String strPatientGenderRequired)` Set the Patient Gender Required.
    `void` | `setPatientNameRequired(ID objPatientNameRequired)` Set the Patient Name Required.
    `void` | `setPatientNameRequired(java.lang.String strPatientNameRequired)` Set the Patient Name Required.
    `void` | `setPatientRelationshipRequired(ID objPatientRelationshipRequired)` Set the Patient Relationship Required.
    `void` | `setPatientRelationshipRequired(java.lang.String strPatientRelationshipRequired)` Set the Patient Relationship Required.
    `void` | `setPatientSignatureRequired(ID objPatientSignatureRequired)` Set the Patient Signature Required.
    `void` | `setPatientSignatureRequired(java.lang.String strPatientSignatureRequired)` Set the Patient Signature Required.
    `void` | `setPlanEffectiveDate(DT objplanEffectiveDate)` Set the Plan Effective Date.
    `void` | `setPlanEffectiveDate(java.lang.String strPlanEffectiveDate)` Set the Plan Effective Date.
    `void` | `setPlanExpirationDate(DT objplanExpirationDate)` Set the Plan Expiration Date.
    `void` | `setPlanExpirationDate(java.lang.String strPlanExpirationDate)` Set the Plan Expiration Date.
    `void` | `setPolicyNumberPattern(ST PolicyNumberPattern)` Set the Policy Number Pattern.
    `void` | `setPolicyNumberPattern(java.lang.String strPolicyNumberPattern)` Set the Policy Number Pattern.
    `void` | `setServiceRequired(ID objServiceRequired)` Set the Service Required.
    `void` | `setServiceRequired(java.lang.String strServiceRequired)` Set the Service Required.
    `void` | `setSubscribersNameRequired(ID objSubscribersNameRequired)` Set the Subscribers Name Required.
    `void` | `setSubscribersNameRequired(java.lang.String strSubscribersNameRequired)` Set the Subscribers Name Required.
    `void` | `setWorkmansCompIndicator(ID objWorkmansCompIndicator)` Set the Workman's Comp Indicator.
    `void` | `setWorkmansCompIndicator(java.lang.String strWorkmansCompIndicator)` Set the Workman's Comp Indicator.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PM1

          public PM1()

      Constructs the OMC segment.

  - ### Method Detail

    - #### getHealthPlanID

          public CWE getHealthPlanID()

      Retrieves the Health Plan ID. This field contains a unique identifier for the insurance plan.
      Returns:
        CWE - HealthPlanID

    - #### setHealthPlanID

          public void setHealthPlanID(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Health Plan ID. This field contains a unique identifier for the insurance plan.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHealthPlanID

          public void setHealthPlanID(CWE objHealthPlanID)

      Set the Health Plan ID. This field contains a unique identifier for the insurance plan.
      Parameters:
        `objHealthPlanID` -

    - #### getInsuranceCompanyID

          public ISingleCollection<CX> getInsuranceCompanyID()

      Retrieves the Insurance Company ID. This field contains unique identifiers for the insurance company.
      Returns:
        ISingleCollection - insuranceCompanyID

    - #### addInsuranceCompanyID

          public void addInsuranceCompanyID(java.lang.String strIDNumber,
                                   java.lang.String strCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   HD objAssigningAuthority,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepartment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Set the Insurance Company ID. This field contains unique identifiers for the insurance company.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addInsuranceCompanyID

          public void addInsuranceCompanyID(CX InsuranceCompanyID)

      Set the Insurance Company ID. This field contains unique identifiers for the insurance company.
      Parameters:
        `InsuranceCompanyID` -

    - #### setInsuranceCompanyID

          public void setInsuranceCompanyID(ISingleCollection<CX> objInsuranceCompanyIDList)

      Set the InsuranceCompanyID list.
      Parameters:
        `objInsuranceCompanyIDList` - List of InsuranceCompanyID

    - #### getInsuranceCompanyName

          public ISingleCollection<XON> getInsuranceCompanyName()

      Retrieves the Insurance Company Name. This field contains the name of the insurance company.
      Returns:
        ISingleCollection - insuranceCompanyName

    - #### addInsuranceCompanyName

          public void addInsuranceCompanyName(java.lang.String strOrganizationName,
                                     CWE objOrganizationNameTypeCode,
                                     HD objAssigningAuthority,
                                     java.lang.String strIdentifierTypeCode,
                                     HD objAssigningFacility,
                                     java.lang.String strNameRepresentationCode,
                                     java.lang.String strOrganizationIdentifier)

      Set the Insurance Company Name. This field contains the name of the insurance company.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addInsuranceCompanyName

          public void addInsuranceCompanyName(XON InsuranceCompanyName)

      Set the Insurance Company Name. This field contains the name of the insurance company.
      Parameters:
        `InsuranceCompanyName` -

    - #### setInsuranceCompanyName

          public void setInsuranceCompanyName(ISingleCollection<XON> objInsuranceCompanyNameList)

      Set the InsuranceCompanyName list.
      Parameters:
        `objInsuranceCompanyNameList` - List of InsuranceCompanyName

    - #### getInsuranceCompanyAddr

          public ISingleCollection<XAD> getInsuranceCompanyAddr()

      Retrieves the Insurance Company Addr. This field contains the address of the insurance company.
      Returns:
        ISingleCollection - insuranceCompanyAddr

    - #### addInsuranceCompanyAddr

          public void addInsuranceCompanyAddr(SAD objStreetAddress,
                                     java.lang.String strOtherDesignation,
                                     java.lang.String strCity,
                                     java.lang.String strStateOrProvince,
                                     java.lang.String strZipOrPostalCode,
                                     java.lang.String strCountry,
                                     java.lang.String strAddressType,
                                     java.lang.String strOtherGeographicDesignation,
                                     CWE objCountyParishCode,
                                     CWE objCensusTract,
                                     java.lang.String strAddressRepresentationCode,
                                     DTM objEffectiveDate,
                                     DTM objExpirationDate,
                                     CWE objEXpirationReason,
                                     java.lang.String strTemporaryIndicator,
                                     java.lang.String strBadAddressIndicator,
                                     java.lang.String strAddressUsage,
                                     java.lang.String strAddressee,
                                     java.lang.String strComment,
                                     java.lang.String strPreferenceOrder,
                                     CWE objProtectionCode,
                                     EI objAddressIdentifier)

      Set the Insurance Company Addr. This field contains the address of the insurance company.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addInsuranceCompanyAddr

          public void addInsuranceCompanyAddr(XAD InsuranceCompanyAddr)

      Set the Insurance Company Addr. This field contains the address of the insurance company.
      Parameters:
        `InsuranceCompanyAddr` -

    - #### setInsuranceCompanyAddr

          public void setInsuranceCompanyAddr(ISingleCollection<XAD> objInsuranceCompanyAddrList)

      Set the InsuranceCompanyAddr list.
      Parameters:
        `objInsuranceCompanyAddrList` - List of InsuranceCompanyAddr

    - #### getInsuranceCoContactPerson

          public ISingleCollection<XPN> getInsuranceCoContactPerson()

      Retrieves the Insurance Co Contact Person. This field contains the name of the person who should be contacted at the insurance company. Multiple names for the same contact person may be sent in this field.
      Returns:
        ISingleCollection - insuranceCoContactPerson

    - #### addInsuranceCoContactPerson

          public void addInsuranceCoContactPerson(FN objFamilyName,
                                         java.lang.String strGivenName,
                                         java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                         java.lang.String strSuffix,
                                         java.lang.String strPrefix,
                                         java.lang.String strNameTypeCode,
                                         java.lang.String strNameRepresentationCode,
                                         CWE objNameContext,
                                         java.lang.String strNameAssemblyOrder,
                                         DTM objEffectiveDate,
                                         DTM objExpirationDate,
                                         java.lang.String strProfessionalSuffix,
                                         java.lang.String strCalledBy)

      Set the Insurance Co Contact Person. This field contains the name of the person who should be contacted at the insurance company. Multiple names for the same contact person may be sent in this field.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addInsuranceCoContactPerson

          public void addInsuranceCoContactPerson(XPN InsuranceCoContactPerson)

      Set the Insurance Co Contact Person. This field contains the name of the person who should be contacted at the insurance company. Multiple names for the same contact person may be sent in this field.
      Parameters:
        `InsuranceCoContactPerson` -

    - #### setInsuranceCoContactPerson

          public void setInsuranceCoContactPerson(ISingleCollection<XPN> objInsuranceCoContactPersonList)

      Set the InsuranceCoContactPerson list.
      Parameters:
        `objInsuranceCoContactPersonList` - List of InsuranceCoContactPerson

    - #### getInsuranceCoPhoneNumber

          public ISingleCollection<XTN> getInsuranceCoPhoneNumber()

      Retrieves the Insurance Co Phone Number. This field contains the phone number of the insurance company. Multiple phone numbers for the same insurance company may be sent in this field.
      Returns:
        ISingleCollection - insuranceCoPhoneNumber

    - #### addInsuranceCoPhoneNumber

          public void addInsuranceCoPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                       java.lang.String strTeleCommunicationEquipmentType,
                                       java.lang.String strCommuinicationAddress,
                                       java.lang.String strCountryCode,
                                       java.lang.String strAreaCityCode,
                                       java.lang.String strLocalNumber,
                                       java.lang.String strExtension,
                                       java.lang.String strAnyText,
                                       java.lang.String strExtensionPrefix,
                                       java.lang.String strSpeedDialCode,
                                       java.lang.String strUnformattedTelephoneNumber,
                                       java.lang.String strEffectiveStartDate,
                                       java.lang.String strExpirationDate,
                                       CWE objExpirationReason,
                                       CWE objProtectionCode,
                                       EI objSharedTelecommunicationIdentifier,
                                       java.lang.String strPreferenceOrder)

      Set the Insurance Co Phone Number. This field contains the phone number of the insurance company. Multiple phone numbers for the same insurance company may be sent in this field.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addInsuranceCoPhoneNumber

          public void addInsuranceCoPhoneNumber(XTN InsuranceCoPhoneNumber)

      Set the Insurance Co Phone Number. This field contains the phone number of the insurance company. Multiple phone numbers for the same insurance company may be sent in this field.
      Parameters:
        `InsuranceCoPhoneNumber` -

    - #### setInsuranceCoPhoneNumber

          public void setInsuranceCoPhoneNumber(ISingleCollection<XTN> objInsuranceCoPhoneNumberList)

      Set the InsuranceCoPhoneNumber list.
      Parameters:
        `objInsuranceCoPhoneNumberList` - List of InsuranceCoPhoneNumber

    - #### getGroupNumber

          public ST getGroupNumber()

      Retrieves the Group Number. This field contains the group number of the insured's insurance.
      Returns:
        ST - groupNumber

    - #### setGroupNumber

          public void setGroupNumber(java.lang.String strGroupNumber)

      Set the Group Number. This field contains the group number of the insured's insurance.
      Parameters:
        `strGroupNumber` - Specifies the group number of the insured's insurance.

    - #### setGroupNumber

          public void setGroupNumber(ST objgroupNumber)

      Set the Group Number. This field contains the group number of the insured's insurance.
      Parameters:
        `objgroupNumber` - Specifies the group number of the insured's insurance.

    - #### getGroupName

          public ISingleCollection<XON> getGroupName()

      Retrieves the Group Name. This field contains the group name of the insured's insurance.
      Returns:
        ISingleCollection - groupName

    - #### addGroupName

          public void addGroupName(java.lang.String strOrganizationName,
                          CWE objOrganizationNameTypeCode,
                          HD objAssigningAuthority,
                          java.lang.String strIdentifierTypeCode,
                          HD objAssigningFacility,
                          java.lang.String strNameRepresentationCode,
                          java.lang.String strOrganizationIdentifier)

      Set the Group Name. This field contains the group name of the insured's insurance.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addGroupName

          public void addGroupName(XON GroupName)

      Set the Group Name. This field contains the group name of the insured's insurance.
      Parameters:
        `GroupName` -

    - #### setGroupName

          public void setGroupName(ISingleCollection<XON> objGroupNameList)

      Set the GroupName list.
      Parameters:
        `objGroupNameList` - List of GroupName

    - #### getPlanEffectiveDate

          public DT getPlanEffectiveDate()

      Retrieves the Plan Effective Date. This field contains the date that the insurance goes into effect.
      Returns:
        DT - planEffectiveDate

    - #### setPlanEffectiveDate

          public void setPlanEffectiveDate(java.lang.String strPlanEffectiveDate)

      Set the Plan Effective Date. This field contains the date that the insurance goes into effect.
      Parameters:
        `strPlanEffectiveDate` - Specifies date that the insurance goes into effect.

    - #### setPlanEffectiveDate

          public void setPlanEffectiveDate(DT objplanEffectiveDate)

      Set the Plan Effective Date. This field contains the date that the insurance goes into effect.
      Parameters:
        `objplanEffectiveDate` - Specifies date that the insurance goes into effect.

    - #### getPlanExpirationDate

          public DT getPlanExpirationDate()

      Retrieves the Plan Expiration Date. This indicates the last date of service that the insurance will cover or be responsible for.
      Returns:
        DT - planExpirationDate

    - #### setPlanExpirationDate

          public void setPlanExpirationDate(java.lang.String strPlanExpirationDate)

      Set the Plan Expiration Date. This indicates the last date of service that the insurance will cover or be responsible for.
      Parameters:
        `strPlanExpirationDate` - Specifies last date of service that the insurance will cover or be responsible for.

    - #### setPlanExpirationDate

          public void setPlanExpirationDate(DT objplanExpirationDate)

      Set the Plan Expiration Date. This indicates the last date of service that the insurance will cover or be responsible for.
      Parameters:
        `objplanExpirationDate` - Specifies last date of service that the insurance will cover or be responsible for.

    - #### getPatientDOBRequired

          public ID getPatientDOBRequired()

      Retrieves the Patient DOB Required. This field indicates whether this insurance carrier requires the patient DOB.
      Returns:
        ID - PatientDOBRequired

    - #### setPatientDOBRequired

          public void setPatientDOBRequired(java.lang.String strPatientDOBRequired)

      Set the Patient DOB Required. This field indicates whether this insurance carrier requires the patient DOB.
      Parameters:
        `strPatientDOBRequired` - This field indicates whether this insurance carrier requires the patient DOB.

    - #### setPatientDOBRequired

          public void setPatientDOBRequired(ID objPatientDOBRequired)

      Set the Patient DOB Required. This field indicates whether this insurance carrier requires the patient DOB.
      Parameters:
        `objPatientDOBRequired` - Object of Patient DOB Required.

    - #### getPatientGenderRequired

          public ID getPatientGenderRequired()

      Retrieves the Patient Gender Required. This field indicates whether this insurance carrier requires the patient Gender.
      Returns:
        ID - PatientGenderRequired

    - #### setPatientGenderRequired

          public void setPatientGenderRequired(java.lang.String strPatientGenderRequired)

      Set the Patient Gender Required. This field indicates whether this insurance carrier requires the patient Gender.
      Parameters:
        `strPatientGenderRequired` - This field indicates whether this insurance carrier requires the patient Gender.

    - #### setPatientGenderRequired

          public void setPatientGenderRequired(ID objPatientGenderRequired)

      Set the Patient Gender Required. This field indicates whether this insurance carrier requires the patient Gender.
      Parameters:
        `objPatientGenderRequired` - Object of Patient Gender Required.

    - #### getPatientRelationshipRequired

          public ID getPatientRelationshipRequired()

      Retrieves the Patient Relationship Required. This field indicates whether this insurance carrier requires the patient’s Relationship to insured.
      Returns:
        ID - PatientRelationshipRequired

    - #### setPatientRelationshipRequired

          public void setPatientRelationshipRequired(java.lang.String strPatientRelationshipRequired)

      Set the Patient Relationship Required. This field indicates whether this insurance carrier requires the patient’s Relationship to insured.
      Parameters:
        `strPatientRelationshipRequired` - This field indicates whether this insurance carrier requires the patient’s Relationship to insured.

    - #### setPatientRelationshipRequired

          public void setPatientRelationshipRequired(ID objPatientRelationshipRequired)

      Set the Patient Relationship Required. This field indicates whether this insurance carrier requires the patient’s Relationship to insured.
      Parameters:
        `objPatientRelationshipRequired` - Object of Patient Relationship Required.

    - #### getPatientSignatureRequired

          public ID getPatientSignatureRequired()

      Retrieves the Patient Signature Required. This field indicates whether this insurance carrier requires the patient Signature.
      Returns:
        ID - PatientSignatureRequired

    - #### setPatientSignatureRequired

          public void setPatientSignatureRequired(java.lang.String strPatientSignatureRequired)

      Set the Patient Signature Required. This field indicates whether this insurance carrier requires the patient Signature.
      Parameters:
        `strPatientSignatureRequired` - This field indicates whether this insurance carrier requires the patient Signature.

    - #### setPatientSignatureRequired

          public void setPatientSignatureRequired(ID objPatientSignatureRequired)

      Set the Patient Signature Required. This field indicates whether this insurance carrier requires the patient Signature.
      Parameters:
        `objPatientSignatureRequired` - Object of Patient Signature Required.

    - #### getDiagnosisRequired

          public ID getDiagnosisRequired()

      Retrieves the Diagnosis Required. This field indicates whether this insurance carrier requires a diagnosis.
      Returns:
        ID - DiagnosisRequired

    - #### setDiagnosisRequired

          public void setDiagnosisRequired(java.lang.String strDiagnosisRequired)

      Set the Diagnosis Required. This field indicates whether this insurance carrier requires a diagnosis.
      Parameters:
        `strDiagnosisRequired` - This field indicates whether this insurance carrier requires a diagnosis.

    - #### setDiagnosisRequired

          public void setDiagnosisRequired(ID objDiagnosisRequired)

      Set the Diagnosis Required. This field indicates whether this insurance carrier requires a diagnosis.
      Parameters:
        `objDiagnosisRequired` - Object of Diagnosis Required.

    - #### getServiceRequired

          public ID getServiceRequired()

      Retrieves the Service Required. This field indicates whether this insurance carrier requires services to be listed.
      Returns:
        ID - ServiceRequired

    - #### setServiceRequired

          public void setServiceRequired(java.lang.String strServiceRequired)

      Set the Service Required. This field indicates whether this insurance carrier requires services to be listed.
      Parameters:
        `strServiceRequired` - This field indicates whether this insurance carrier requires services to be listed.

    - #### setServiceRequired

          public void setServiceRequired(ID objServiceRequired)

      Set the Service Required. This field indicates whether this insurance carrier requires services to be listed.
      Parameters:
        `objServiceRequired` - Object of Service Required.

    - #### getPatientNameRequired

          public ID getPatientNameRequired()

      Retrieves the Patient Name Required. This field indicates whether this insurance carrier requires a patient name on all requests.
      Returns:
        ID - PatientNameRequired

    - #### setPatientNameRequired

          public void setPatientNameRequired(java.lang.String strPatientNameRequired)

      Set the Patient Name Required. This field indicates whether this insurance carrier requires a patient name on all requests.
      Parameters:
        `strPatientNameRequired` - This field indicates whether this insurance carrier requires a patient name on all requests.

    - #### setPatientNameRequired

          public void setPatientNameRequired(ID objPatientNameRequired)

      Set the Patient Name Required. This field indicates whether this insurance carrier requires a patient name on all requests.
      Parameters:
        `objPatientNameRequired` - Object of Patient Name Required.

    - #### getPatientAddressRequired

          public ID getPatientAddressRequired()

      Retrieves the Patient Address Required. This field indicates whether this insurance carrier requires a patient address on all requests.
      Returns:
        ID - PatientAddressRequired

    - #### setPatientAddressRequired

          public void setPatientAddressRequired(java.lang.String strPatientAddressRequired)

      Set the Patient Address Required. This field indicates whether this insurance carrier requires a patient address on all requests.
      Parameters:
        `strPatientAddressRequired` - This field indicates whether this insurance carrier requires a patient address on all requests.

    - #### setPatientAddressRequired

          public void setPatientAddressRequired(ID objPatientAddressRequired)

      Set the Patient Address Required. This field indicates whether this insurance carrier requires a patient address on all requests.
      Parameters:
        `objPatientAddressRequired` - Object of Patient Address Required.

    - #### getSubscribersNameRequired

          public ID getSubscribersNameRequired()

      Retrieves the Subscribers Name Required. This field indicates whether this insurance carrier requires subscribers name on all requests.
      Returns:
        ID - SubscribersNameRequired

    - #### setSubscribersNameRequired

          public void setSubscribersNameRequired(java.lang.String strSubscribersNameRequired)

      Set the Subscribers Name Required. This field indicates whether this insurance carrier requires subscribers name on all requests.
      Parameters:
        `strSubscribersNameRequired` - This field indicates whether this insurance carrier requires subscribers name on all requests.

    - #### setSubscribersNameRequired

          public void setSubscribersNameRequired(ID objSubscribersNameRequired)

      Set the Subscribers Name Required. This field indicates whether this insurance carrier requires subscribers name on all requests.
      Parameters:
        `objSubscribersNameRequired` - Object of Subscribers Name Required.

    - #### getWorkmansCompIndicator

          public ID getWorkmansCompIndicator()

      Retrieves the Workman's Comp Indicator. This field indicates whether this insurance carrier requires workman compensation to be identified.
      Returns:
        ID - WorkmansCompIndicator

    - #### setWorkmansCompIndicator

          public void setWorkmansCompIndicator(java.lang.String strWorkmansCompIndicator)

      Set the Workman's Comp Indicator. This field indicates whether this insurance carrier requires workman compensation to be identified.
      Parameters:
        `strWorkmansCompIndicator` - This field indicates whether this insurance carrier requires workman compensation to be identified.

    - #### setWorkmansCompIndicator

          public void setWorkmansCompIndicator(ID objWorkmansCompIndicator)

      Set the Workman's Comp Indicator. This field indicates whether this insurance carrier requires workman compensation to be identified.
      Parameters:
        `objWorkmansCompIndicator` - Object of Workman's Comp Indicator.

    - #### getBillTypeRequired

          public ID getBillTypeRequired()

      Retrieves the Bill Type Required. This field indicates whether this insurance carrier requires subscribers bill type.
      Returns:
        ID - BillTypeRequired

    - #### setBillTypeRequired

          public void setBillTypeRequired(java.lang.String strBillTypeRequired)

      Set the Bill Type Required. This field indicates whether this insurance carrier requires subscribers bill type.
      Parameters:
        `strBillTypeRequired` - This field indicates whether this insurance carrier requires subscribers bill type.

    - #### setBillTypeRequired

          public void setBillTypeRequired(ID objBillTypeRequired)

      Set the Bill Type Required. This field indicates whether this insurance carrier requires subscribers bill type.
      Parameters:
        `objBillTypeRequired` - Object of Bill Type Required.

    - #### getCommercialCarrierNameAddressRequired

          public ID getCommercialCarrierNameAddressRequired()

      Retrieves the Commercial Carrier Name and Address Required. This field indicates whether this insurance carrier requires commerical carrier name and address.
      Returns:
        ID - CommercialCarrierNameAddressRequired

    - #### setCommercialCarrierNameAddressRequired

          public void setCommercialCarrierNameAddressRequired(java.lang.String strCommercialCarrierNameAddressRequired)

      Set the Commercial Carrier Name and Address Required. This field indicates whether this insurance carrier requires commerical carrier name and address.
      Parameters:
        `strCommercialCarrierNameAddressRequired` - This field indicates whether this insurance carrier requires commerical carrier name and address.

    - #### setCommercialCarrierNameAddressRequired

          public void setCommercialCarrierNameAddressRequired(ID objCommercialCarrierNameAddressRequired)

      Set the Commercial Carrier Name and Address Required. This field indicates whether this insurance carrier requires commerical carrier name and address.
      Parameters:
        `objCommercialCarrierNameAddressRequired` - Object of Commercial Carrier Name and Address Required.

    - #### getPolicyNumberPattern

          public ST getPolicyNumberPattern()

      Retrieves the Policy Number Pattern. This field contains the policy number pattern. This describes what the policy number should look like.
      Returns:
        ISingleCollection - PolicyNumberPattern

    - #### setPolicyNumberPattern

          public void setPolicyNumberPattern(java.lang.String strPolicyNumberPattern)

      Set the Policy Number Pattern. This field contains the policy number pattern. This describes what the policy number should look like.
      Parameters:
        `strPolicyNumberPattern` - Use as PolicyNumberPattern.

    - #### setPolicyNumberPattern

          public void setPolicyNumberPattern(ST PolicyNumberPattern)

      Set the Policy Number Pattern. This field contains the policy number pattern. This describes what the policy number should look like.
      Parameters:
        `PolicyNumberPattern` - Object of Policy Number Pattern.

    - #### getGroupNumberPattern

          public ST getGroupNumberPattern()

      Retrieves the Group Number Pattern. This field contains the Group number pattern. This describes what the group number should look like.
      Returns:
        ISingleCollection - GroupNumberPattern

    - #### setGroupNumberPattern

          public void setGroupNumberPattern(java.lang.String strGroupNumberPattern)

      Set the Group Number Pattern. This field contains the Group number pattern. This describes what the group number should look like.
      Parameters:
        `strGroupNumberPattern` - Use as GroupNumberPattern.

    - #### setGroupNumberPattern

          public void setGroupNumberPattern(ST GroupNumberPattern)

      Set the Group Number Pattern. This field contains the Group number pattern. This describes what the group number should look like.
      Parameters:
        `GroupNumberPattern` - Object of Group Number Pattern.